diff --git a/libmscore/note.cpp b/libmscore/note.cpp
index 4c34451..af49e02 100644
--- a/libmscore/note.cpp
+++ b/libmscore/note.cpp
@@ -931,6 +931,7 @@ bool Note::acceptDrop(MuseScoreView*, const QPointF&, Element* e) const
          || type == REHEARSAL_MARK
          || type == FINGERING
          || type == ACCIDENTAL
+         || type == ACCIDENTAL_BRACKET
          || type == BREATH
          || type == ARPEGGIO
          || type == NOTEHEAD
@@ -1002,6 +1003,21 @@ Element* Note::drop(const DropData& data)
                         return e;
                   break;
 
+            case ACCIDENTAL_BRACKET:
+                  {
+                  Segment* segment = ch->segment();
+                  Measure* measure = segment->measure();
+                  AccidentalVal accval = measure->findAccidental(this);
+                  AccidentalType acctype = Accidental::value2subtype(accval);
+                  if (acctype == ACC_NONE) acctype = ACC_NATURAL;
+                  score()->changeAccidental(this, acctype);
+                  }
+                  if (_accidental)
+                        _accidental->setHasBracket(true);
+                        return e;
+                  break;
+                  
+
             case ARPEGGIO:
                   {
                   Arpeggio* a = static_cast<Arpeggio*>(e);
diff --git a/mscore/revision.h b/mscore/revision.h
index ca014ac..f7b0026 100644
--- a/mscore/revision.h
+++ b/mscore/revision.h
@@ -1 +1 @@
-da1358d
+da595cc
